DEVICE_SHUTDOWN(9)

NAME
DEVICE_SHUTDOWN - called during system shutdown

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
int
DEVICE_SHUTDOWN(device_t dev);

DESCRIPTION
The DEVICE_SHUTDOWN() method is called during system shutdown to allow the driver to put the hardware into a consistent state for rebooting the computer.

RETURN VALUES
Zero is returned on success, otherwise an error is returned.

SEE ALSO
device(9), DEVICE_ATTACH(9), DEVICE_DETACH(9), DEVICE_IDENTIFY(9), DEVICE_PROBE(9)

AUTHORS
This manual page was written by Doug Rabson.